IMG_8664.jpg=Hot tub and sun room.  Marc rebuilt this!
p1000861.jpg=Back of the house.
p1000869.jpg=Back side of the shed/barn.
IMG_8660.jpg=It is a tough job being a guard dog around here! Gotta stretch once in awhile!
IMG_8662.jpg=More gardens outside our sun room.
IMG_8712.jpg=The breeze-way between house and garage.
IMG_8717.jpg=Another picture of our dome home.
IMG_8661.jpg=Some of our raised gardens. Steph does a lot of work on these!
IMG_8706.jpg=Garage with Crater Lake mural painted by Ruth Chamberlin
p1000854.jpg=Back door to kitchen.
IMG_8724.jpg=We love our dome in the woods!
p1000849.jpg=Storage shed. We call it the barn.
p1000857.jpg=Front door.
IMG_8663.jpg=House and Garage
p1000863.jpg=Inside the breezeway.
IMG_8659.jpg=Back side of our dome with unused raised gardens.
p1000851.jpg=Hot tub and sun room.
IMG_8704.jpg=Main house and Hot Tub/Sun Room\

p1000853.jpg=Breezeway between the main house and garage.
p1000868.jpg=Well house (before we built a fire shed next to it.)
IMG_8705.jpg=Kitchen door and deck
p1000864.jpg=Hot tub and sun room.
IMG_8720.jpg=Yet another picture of our dome home.
IMG_8658.jpg=Back of house and garage with Cleo one of our ferocious guard dogs on the job.
IMG_8722.jpg=Looking at our home from the end of our driveway.
